package com.persagy.energy.app

import com.persagy.energy.bean.EnergyBean
import com.persagy.energy.utils.DTUtils
import net.minidev.json.JSONObject
import net.minidev.json.parser.JSONParser

import java.io.{File, FileWriter, PrintWriter}
import java.lang.reflect.Field
import scala.io.BufferedSource

object File2FileApp {

  val filePath: String = "/Users/king/Downloads/energy-1d.txt"
  val outPath: String = "/Users/king/Downloads/energy-1d-to-hdfs1.txt"

  def main(args: Array[String]): Unit = {

    /** 从文件读取数据，逐条发送 */
    val bufferedSource: BufferedSource = scala.io.Source.fromFile(filePath)
    var count: Int = 0
    val writer = new PrintWriter(outPath)
    for (line <- bufferedSource.getLines()) {
      count += 1
      println(line)
      val parser = new JSONParser(1)
      val nObject: JSONObject = parser.parse(line).asInstanceOf[JSONObject]

      val energyModelSign: String = nObject.get("energyModelSign").toString
      val energyModelNodeSign: String = nObject.get("energyModelNodeSign").toString
      val dataTime: String = DTUtils.timestampConverter("yyyyMMddHHmmss", nObject.get("data_time").toString, 0L).toString
      val dataValue: String = nObject.get("data_value").toString
      val building: String = nObject.get("building").toString

      val result: String = energyModelSign + "\t" + energyModelNodeSign + "\t" + dataTime + "\t" + dataValue + "\t" + building

      writer.println(result)

      if (count == 1000){
        writer.flush()
      }
    }
    writer.flush()
    writer.close()
  }
}
